This is a view of processor activity, for Linux and FreeBSD based machines, presented in 2 tables, one featuring the full command line.
In the first table, tasks running on the system are initially sorted, with the most CPU intensive first.
Note: for FreeBSD, the Linux compatibiliy proc filesystem must be available in /compat/linux/proc (see --proc option below).

Module options:

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, recommended in any case since ps data tends to be quite big, see ssh manual for detailed information).
- --files
  whether the files column is displayed in the first table (off by default). This gives the number of open files (actual files, sockets, ...) per process. Note that depending on the user who started moodss, not all file counts are displayed (usually only for that user's processes). Run moodss as root if you want to see the file counts for all processes.
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- --proc directory
  Data directory, also known as proc filesystem, /proc by default (for Linux machines support). For example, use /compat/linux/proc for FreeBSD machines.
  Note: the data contained in that directory must be in a format identical to the reference Linux implementation.
- -r (--remote) [[rsh|ssh]://][user@]host
  remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to psbyname(host).
- -u (--users) user[,user,...]
  a comma separated list of users (by name or ID). Only processes that belong to a user ID or name included in the specified list are displayed.

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

Examples:

    $ moodss ps -r jdoe@foo.bar.com
    $ moodss ps -r ssh://jdoe@foo.bar.com
    $ moodss ps --remote foo.bar.com
    $ moodss ps -u root,jdoe --files
    $ moodss ps --users 0 -r foo.bar.com